View Issue Details

IDProjectCategoryView StatusLast Update
0016138ScribusTypographypublic2020-06-24 19:11
Reporterdidierhinz Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLenovo ThinkpadOSLinux MintOS VersionMint 20
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0016138: Wrong space before a closing double quotes character in justified paragraphs
DescriptionBug in Scribus trunk 1.5.6

I'm using (german) opening and closing double quotes in my text.

As long the text paragraph is left aligned, right aligned, or centered, there is no problem.

But, if the text paragraph is (left and right) justified, then there is an additional alignment space between the last character of the quoted text and the quote sign itself. Excepted the last quoted character is a dot or a comma.
 
Steps To Reproduce1) Open a new document, create a text frame, and write any text which is longer than one line.
2) Format the text paragraph as 'justified'.
3) Enclose any word or text fragment within (german or english) opening and closing double quotes. (Use the Insert > Quotes menu option)

There is a wrong space before the closing quote sign.
Additional Information1) In the german version, the quote sign affected is called "Doppeltes Anführungszeichen rechts".
2) The bug does not appear when using an ASCII double quote character.
3) This bug did not exist in previous scribus version 1.5.5
Tagsalignment, justification, quotes
PatchNo

Activities

didierhinz

2020-06-18 10:12

reporter  

bug_double-quotes.sla (16,858 bytes)

PeterBenedek

2020-06-18 11:12

developer   ~0047701

Confirmed

extra_distance.jpg (9,454 bytes)
extra_distance.jpg (9,454 bytes)

PeterBenedek

2020-06-24 19:09

developer   ~0047724

Tested in LinuxMint 19.3

Works well. Thanks Jean.

Issue History

Date Modified Username Field Change
2020-06-18 10:12 didierhinz New Issue
2020-06-18 10:12 didierhinz Tag Attached: alignment
2020-06-18 10:12 didierhinz Tag Attached: justification
2020-06-18 10:12 didierhinz Tag Attached: quotes
2020-06-18 10:12 didierhinz File Added: bug_double-quotes.sla
2020-06-18 11:12 PeterBenedek File Added: extra_distance.jpg
2020-06-18 11:12 PeterBenedek Note Added: 0047701
2020-06-18 16:10 jghali Project Contributor Builds => Scribus
2020-06-18 16:11 jghali Category General => Typography
2020-06-18 22:26 jghali Product Version => 1.5.6.svn
2020-06-18 22:26 jghali Summary Margin alignment of justified text paragraphs: Wrong space before a closing (german or english) double quotes character => Wrong space before a closing (german or english) double quotes character in justified paragraphs
2020-06-20 03:03 jghali Summary Wrong space before a closing (german or english) double quotes character in justified paragraphs => Wrong space before a closing double quotes character in justified paragraphs
2020-06-20 03:03 jghali Assigned To => jghali
2020-06-20 03:03 jghali Status new => resolved
2020-06-20 03:03 jghali Resolution open => fixed
2020-06-20 03:03 jghali Fixed in Version => 1.5.6.svn
2020-06-24 19:09 PeterBenedek Note Added: 0047724
2020-06-24 19:11 PeterBenedek Status resolved => closed